### Function

# Qmi MessageGasDmsSetUsbCompositionInput new

since: 1.32

#### Declaration [src]

    QmiMessageGasDmsSetUsbCompositionInput*
    qmi_message_gas_dms_set_usb_composition_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageGasDmsSetUsbCompositionInput`.

Available since: 1.32

#### Return value

Type: `QmiMessageGasDmsSetUsbCompositionInput`

The newly created `QmiMessageGasDmsSetUsbCompositionInput`. The returned value should be freed with qmi_message_gas_dms_set_usb_composition_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.